# ansible_config

Configuration of an Ansible host and enablement of basic Ansible commands in Puppet Enterprise Tasks

## Table of Contents

1. [Description](#description)
1. [Setup - The basics of getting started with ansible_config](#setup)
1. [Usage - Configuration options and additional functionality](#usage)
1. [Task Functions - Basic description of available tasks](#tasks)
1. [Limitations - OS compatibility, etc.](#limitations)
1. [Development - Guide for contributing to the module](#development)

## Description

```Role::ansible_host``` installs and configures Ansible on a CentOS host.  Passes hosts and playbook custom file configuration included in /files folder.

## Setup

Standard Puppet Module Setup steps

### Usage
1)

Add ansible_config::ansible_host class to your PE Group if all you want is to install Ansible.

or

```
class ansible_config::ansible_host {
}
```

2)

Add class ansible_config:ansible_setup to setup Ansible's host file and playbook in /etc/ansible on host.
(A REQURIEMENT FOR RUNNING TASKS OURSIDE OF ANSIBLE-CONFIRMATION TASK)

or 

```
class ansible_config::ansible_setup {
}
```

!!! I would advise to review and update the ```hosts``` and ```playbook.yml``` files in this /module/file folder or repoint.

And now you can run task functions

NOTE: You can modify hosts file by going to etc/puppetlabs/code/envirioment/...```ENVIROMENT```.../modules/ansible_config/files/hosts

## Tasks

There are a few tasks for your use.

```ansible_info_confirmation```: - Confirms presence of Ansible on a host and retrives some basic info. /n

```ansible_ping_all```: - Ability to Ping all host specified in host file /n

```ansible_playbook```: - Runs ```ansible-playbook``` command on Ansible host and optional variables. /n

## Limitations

Currently tested with CentOS only.

## Development

Is on-going.
