# ANSIBLE HOST setup with Ansible
class ansible_config::ansible_host{
  package { 'centos-release-scl':
    ensure => installed,
    notify => Package[rh-python38]
  }
  package { 'rh-python38':
    ensure => installed,
  }
  package { 'python3-pip':
    ensure => 'present',
    notify => Exec[pip-update],
  }
  exec { 'pip-update':
    command     => 'python3 -m pip install --upgrade pip',
    path        => '/usr/bin:/usr/sbin:/bin',
    notify      => Exec[ansible],
    refreshonly => true
  }
  class { 'python':
  }
  package { 'epel-release':
    ensure => installed,
    notify => Package[python3-pip]
    }
  exec { 'ansible':
    command => 'pip3 install ansible',
    path    => '/usr/bin:/usr/sbin:/bin:/usr/local/bin',
    unless  => 'test  -f /usr/local/bin/ansible'
    }
}
